Skip to main content
POST
Count runs

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body schema.

workflowUuid
string<uuid>
required

Workflow identifier.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
userUuid
string<uuid>

User identifier to filter by.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
releaseUuid
string<uuid>

Release identifier to filter by.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
batchUuid
string<uuid>

Batch identifier to filter by.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
statuses
enum<string>[]

Run statuses to include.

Available options:
idle,
pending,
running,
success,
error,
cancelling,
cancelled,
skipped
recordId
string

Record ID to filter by.

recordTitle
string

Record title to filter by.

recordTitleOrId
string

Record title or ID to filter by.

parentUuid
string<uuid>

Parent run identifier to filter by.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
parentNodeUuid
string<uuid>

Parent node identifier to filter by.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
parentBatchUuid
string<uuid>

Parent batch identifier to filter by.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
isGroupParent
boolean

Whether to select group parent runs.

executionsFilter
Executions filter · object

Execution filters for matching runs.

createdAfter
string

Include runs created after this timestamp.

createdBefore
string

Include runs created before this timestamp.

updatedAfter
string

Include runs updated after this timestamp.

updatedBefore
string

Include runs updated before this timestamp.

Response

Successful response

count
number
required

Number of runs matching the filter.